Commits

rbeezer committed 810f413

Update tex4ht compiling instructions for kpathsea library upgrades

  • Participants
  • Parent commits e9e0984

Comments (0)

Files changed (1)

tex4ht-compile.txt

 KUbuntu/Ubuntu/Debian 64-bit (aka amd64) systems
 Rob Beezer, beezer@ups.edu, http://buzzard.ups.edu
 
-2009/01/31 Tested on a Kubuntu 8.10 amd64 stock installation
-          (presumably Debian is similar and Ubuntu identical)
+2009/01/31  Tested on a Kubuntu 8.10 amd64 stock installation
+            (presumably Debian is similar and Ubuntu identical)
+2010/08/23  libpathsea upgraded in 10.04, forced recompile
 
 a.  There are three Ubuntu/Debian packages you may need and not have installed.  If you are unsure if you have them, just try installing them.  If you do have any of them, then you will get a warning and a chance to retry after omitting the request for the installed package.
 
 
 d.  Within your working directory, issue the following two commands
   
-gcc -O2 -DKPATHSEA -I/usr/include -L/usr/lib -o t4ht t4ht.c -DHAVE_DIRENT_H -lkpathsea
+gcc -O2 -DKPATHSEA -I/usr/include -L/usr/lib -o t4ht   t4ht.c   -DHAVE_DIRENT_H -lkpathsea
 gcc -O2 -DKPATHSEA -I/usr/include -L/usr/lib -o tex4ht tex4ht.c -DHAVE_DIRENT_H -lkpathsea
 
+(2010/08/23 Question:
+Is there a way to link dynamically to libkpathsea,
+so upgrades of kpathsea do not require recompiling?)
+
 e.  Determine where you need/want to place these executables.  If your setup is otherwise complete, then the command
 
 which t4ht